Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.wizard
Class AnalystWizard

    java.lang.Object
      org.encog.app.analyst.wizard.AnalystWizard

    public class AnalystWizard

extends Object

The Encog Analyst Wizard can be used to create Encog Analyst script files from a CSV file. This class is typically used by the Encog Workbench, but it can easily be used from any program to create a starting point for an Encog Analyst Script. Several items must be provided to the wizard. Desired Machine Learning Method: This is the machine learning method that you would like the wizard to use. This might be a neural network, SVM or other supported method. Normalization Range: This is the range that the data should be normalized into. Some machine learning methods perform better with different ranges. The two ranges supported by the wizard are -1 to 1 and 0 to 1. Goal: What are we trying to accomplish. Is this a classification, regression or autoassociation problem.

Field Summary
`static int` | `DEFAULT_EVAL_PERCENT` The default evaluation percent.
`static double` | `DEFAULT_TRAIN_ERROR` The default training error.
`static int` | `DEFAULT_TRAIN_PERCENT` The default training percent.
`static String` | `FILE_BALANCE` The balanced file.
`static String` | `FILE_CLUSTER` The clustered file.
`static String` | `FILE_EVAL` The evaluation file.
`static String` | `FILE_EVAL_NORM` The eval file normalization file.
`static String` | `FILE_ML` The machine learning file.
`static String` | `FILE_NORMALIZE` The normalized file.
`static String` | `FILE_OUTPUT` The output file.
`static String` | `FILE_RANDOM` The randomized file.
`static String` | `FILE_RAW` The raw file.
`static String` | `FILE_TRAIN` The training file.
`static String` | `FILE_TRAINSET` The training set.

Constructor Summary
`AnalystWizard(EncogAnalyst theAnalyst)` Construct the analyst wizard.

Method Summary
`AnalystGoal` | `getGoal()`
`int` | `getLagWindowSize()`
`int` | `getLeadWindowSize()`
`WizardMethodType` | `getMethodType()`
`HandleMissingValues` | `getMissing()`
`NormalizeRange` | `getRange()`
`String` | `getTargetField()`
`boolean` | `isIncludeTargetField()`
`boolean` | `isTaskBalance()`
`boolean` | `isTaskCluster()`
`boolean` | `isTaskNormalize()`
`boolean` | `isTaskRandomize()`
`boolean` | `isTaskSegregate()`
`void` | `reanalyze()` Reanalyze column ranges.
`void` | `setGoal(AnalystGoal theGoal)` Set the goal.
`void` | `setIncludeTargetField(boolean theIncludeTargetField)`
`void` | `setLagWindowSize(int theLagWindowSize)`
`void` | `setLeadWindowSize(int theLeadWindowSize)`
`void` | `setMethodType(WizardMethodType theMethodType)`
`void` | `setMissing(HandleMissingValues missing)`
`void` | `setRange(NormalizeRange theRange)`
`void` | `setTargetField(String theTargetField)` Set the target field.
`void` | `setTaskBalance(boolean theTaskBalance)`
`void` | `setTaskCluster(boolean theTaskCluster)`
`void` | `setTaskNormalize(boolean theTaskNormalize)`
`void` | `setTaskRandomize(boolean theTaskRandomize)`
`void` | `setTaskSegregate(boolean theTaskSegregate)`
`void` | `wizard(File analyzeFile, boolean b, AnalystFileFormat format)` Analyze a file.
`void` | `wizard(URL url, File saveFile, File analyzeFile, boolean b, AnalystFileFormat format)` Analyze a file at the specified URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRAIN_PERCENT

    public static final int DEFAULT_TRAIN_PERCENT

  The default training percent.

  See Also:
    Constant Field Values

### DEFAULT_EVAL_PERCENT

    public static final int DEFAULT_EVAL_PERCENT

  The default evaluation percent.

  See Also:
    Constant Field Values

### DEFAULT_TRAIN_ERROR

    public static final double DEFAULT_TRAIN_ERROR

  The default training error.

  See Also:
    Constant Field Values

### FILE_RAW

    public static final String FILE_RAW

  The raw file.

  See Also:
    Constant Field Values

### FILE_NORMALIZE

    public static final String FILE_NORMALIZE

  The normalized file.

  See Also:
    Constant Field Values

### FILE_RANDOM

    public static final String FILE_RANDOM

  The randomized file.

  See Also:
    Constant Field Values

### FILE_TRAIN

    public static final String FILE_TRAIN

  The training file.

  See Also:
    Constant Field Values

### FILE_EVAL

    public static final String FILE_EVAL

  The evaluation file.

  See Also:
    Constant Field Values

### FILE_EVAL_NORM

    public static final String FILE_EVAL_NORM

  The eval file normalization file.

  See Also:
    Constant Field Values

### FILE_TRAINSET

    public static final String FILE_TRAINSET

  The training set.

  See Also:
    Constant Field Values

### FILE_ML

    public static final String FILE_ML

  The machine learning file.

  See Also:
    Constant Field Values

### FILE_OUTPUT

    public static final String FILE_OUTPUT

  The output file.

  See Also:
    Constant Field Values

### FILE_BALANCE

    public static final String FILE_BALANCE

  The balanced file.

  See Also:
    Constant Field Values

### FILE_CLUSTER

    public static final String FILE_CLUSTER

  The clustered file.

  See Also:
    Constant Field Values

Constructor Detail

### AnalystWizard

    public AnalystWizard(EncogAnalyst theAnalyst)

  Construct the analyst wizard.

  Parameters:
    `theAnalyst` - The analyst to use.

Method Detail

### getGoal

    public final AnalystGoal getGoal()

  Returns:
    The analyst goal.

### getLagWindowSize

    public final int getLagWindowSize()

  Returns:
    the lagWindowSize

### getLeadWindowSize

    public final int getLeadWindowSize()

  Returns:
    the leadWindowSize

### getMethodType

    public final WizardMethodType getMethodType()

  Returns:
    the methodType

### getRange

    public final NormalizeRange getRange()

  Returns:
    the range

### getTargetField

    public final String getTargetField()

  Returns:
    Get the target field.

### isIncludeTargetField

    public final boolean isIncludeTargetField()

  Returns:
    the includeTargetField

### isTaskBalance

    public final boolean isTaskBalance()

  Returns:
    the taskBalance

### isTaskCluster

    public final boolean isTaskCluster()

  Returns:
    the taskCluster

### isTaskNormalize

    public final boolean isTaskNormalize()

  Returns:
    the taskNormalize

### isTaskRandomize

    public final boolean isTaskRandomize()

  Returns:
    the taskRandomize

### isTaskSegregate

    public final boolean isTaskSegregate()

  Returns:
    the taskSegregate

### reanalyze

    public final void reanalyze()

  Reanalyze column ranges.

### setGoal

    public final void setGoal(AnalystGoal theGoal)

  Set the goal.

  Parameters:
    `theGoal` - The goal.

### setIncludeTargetField

    public final void setIncludeTargetField(boolean theIncludeTargetField)

  Parameters:
    `theIncludeTargetField` - the includeTargetField to set

### setLagWindowSize

    public final void setLagWindowSize(int theLagWindowSize)

  Parameters:
    `theLagWindowSize` - the lagWindowSize to set

### setLeadWindowSize

    public final void setLeadWindowSize(int theLeadWindowSize)

  Parameters:
    `theLeadWindowSize` - the leadWindowSize to set

### setMethodType

    public final void setMethodType(WizardMethodType theMethodType)

  Parameters:
    `theMethodType` - the methodType to set

### setRange

    public final void setRange(NormalizeRange theRange)

  Parameters:
    `theRange` - the range to set

### setTargetField

    public final void setTargetField(String theTargetField)

  Set the target field.

  Parameters:
    `theTargetField` - The target field.

### setTaskBalance

    public final void setTaskBalance(boolean theTaskBalance)

  Parameters:
    `theTaskBalance` - the taskBalance to set

### setTaskCluster

    public final void setTaskCluster(boolean theTaskCluster)

  Parameters:
    `theTaskCluster` - the taskCluster to set

### setTaskNormalize

    public final void setTaskNormalize(boolean theTaskNormalize)

  Parameters:
    `theTaskNormalize` - the taskNormalize to set

### setTaskRandomize

    public final void setTaskRandomize(boolean theTaskRandomize)

  Parameters:
    `theTaskRandomize` - the taskRandomize to set

### setTaskSegregate

    public final void setTaskSegregate(boolean theTaskSegregate)

  Parameters:
    `theTaskSegregate` - the taskSegregate to set

### wizard

    public final void wizard(File analyzeFile,
                             boolean b,
                             AnalystFileFormat format)

  Analyze a file.

  Parameters:
    `analyzeFile` - The file to analyze.
    `b` - True if there are headers.
    `format` - The file format.

### wizard

    public final void wizard(URL url,
                             File saveFile,
                             File analyzeFile,
                             boolean b,
                             AnalystFileFormat format)

  Analyze a file at the specified URL.

  Parameters:
    `url` - The URL to analyze.
    `saveFile` - The save file.
    `analyzeFile` - The Encog analyst file.
    `b` - True if there are headers.
    `format` - The file format.

### getMissing

    public HandleMissingValues getMissing()

  Returns:
    the missing

### setMissing

    public void setMissing(HandleMissingValues missing)

  Parameters:
    `missing` - the missing to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.